net.snowflake.client.log

## Interface SFLogger

All Known Implementing Classes:
  JDK14Logger, SLF4JLogger

    public interface SFLogger

Interface used by JDBC driver to log information

Five levels are included in this interface, from high to low: ERROR WARN INFO DEBUG TRACE

Created by hyu on 11/17/16.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug(String msg)`
`void` `debug(String msg, Object... arguments)`
`void` `debug(String msg, Throwable t)`
`void` `error(String msg)`
`void` `error(String msg, Object... arguments)`
`void` `error(String msg, Throwable t)`
`void` `info(String msg)`
`void` `info(String msg, Object... arguments)`
`void` `info(String msg, Throwable t)`
`boolean` `isDebugEnabled()` Is debug level enabled?
`boolean` `isErrorEnabled()` Is error level enabled?
`boolean` `isInfoEnabled()` Is info level enabled?
`boolean` `isTraceEnabled()` Is trace level enabled?
`boolean` `isWarnEnabled()` Is warn level enabled?
`void` `trace(String msg)`
`void` `trace(String msg, Object... arguments)`
`void` `trace(String msg, Throwable t)`
`void` `warn(String msg)`
`void` `warn(String msg, Object... arguments)`
`void` `warn(String msg, Throwable t)`

### Method Detail

#### isDebugEnabled

    boolean isDebugEnabled()

Is debug level enabled?

Returns:
  true if the trace level is DEBUG

#### isErrorEnabled

    boolean isErrorEnabled()

Is error level enabled?

Returns:
  true if the trace level is ERROR

#### isInfoEnabled

    boolean isInfoEnabled()

Is info level enabled?

Returns:
  true if the trace level is INFO

#### isTraceEnabled

    boolean isTraceEnabled()

Is trace level enabled?

Returns:
  true if the trace level is TRACE

#### isWarnEnabled

    boolean isWarnEnabled()

Is warn level enabled?

Returns:
  true if the trace level is WARN

#### debug

    void debug(String msg)

#### debug

    void debug(String msg,
               Object... arguments)

#### debug

    void debug(String msg,
               Throwable t)

#### error

    void error(String msg)

#### error

    void error(String msg,
               Object... arguments)

#### error

    void error(String msg,
               Throwable t)

#### info

    void info(String msg)

#### info

    void info(String msg,
              Object... arguments)

#### info

    void info(String msg,
              Throwable t)

#### trace

    void trace(String msg)

#### trace

    void trace(String msg,
               Object... arguments)

#### trace

    void trace(String msg,
               Throwable t)

#### warn

    void warn(String msg)

#### warn

    void warn(String msg,
              Object... arguments)

#### warn

    void warn(String msg,
              Throwable t)